package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysProvince;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 省份表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-07-10
 */
public interface ISysProvinceService extends IBaseService<SysProvince> {

  Page<SysProvince> page(Page<SysProvince> page, SysProvince sysProvince);

  List<SysProvince> list(SysProvince sysProvince);

  List<SysProvince> listByCountryCode2(String countryCode2);

  List<Map<String, Object>> listAll();

  boolean existByCountryCode2(String countryCode2);
}
